Bug 635414

Summary: PCI: devfn 24 not available for virtio-balloon-pci, in use by virtio-blk-pci
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, botsch, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, lucas.gary, markmc, ondrejj, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-28 08:37:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
libvirt log file none

Description Richard W.M. Jones 2010-09-19 11:52:46 EDT
Description of problem:

After changing an IDE disk to virtio in the libvirt XML, I get:

$ sudo virsh start TwoDisks && sudo virt-viewer TwoDisks
error: Failed to start domain TwoDisks
error: internal error Process exited while reading console log output: char device redirected to /dev/pts/1
PCI: devfn 24 not available for virtio-balloon-pci, in use by virtio-blk-pci
Error initializing device virtio-balloon-pci

The change in the XML was:

-     <target dev='hda' bus='ide'/>
+     <target dev='vda' bus='virtio'/>

Version-Release number of selected component (if applicable):

qemu-0.12.5-1.fc13.x86_64
Comment 1 Jan ONDREJ 2010-09-19 13:44:03 EDT
Does this still happen, if you remove also <address> tags from libvirt XML file?
When changing target to/from ide/virtio, also try to remove this:

      <address type='drive' controller='0' bus='0' unit='0'/>

or this:

      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'
Comment 2 Richard W.M. Jones 2010-09-19 13:56:37 EDT
I removed the address element (earlier).
Comment 3 Daniel Berrange 2010-09-20 05:57:09 EDT
Can you post the full XML for the guest via  virsh dumpxml $GUEST.
Comment 4 Richard W.M. Jones 2010-09-20 06:08:26 EDT
Created attachment 448411 [details]
libvirt log file

Of course I cannot reproduce the bug this morning.

However I do have the libvirt log file from yesterday's
experiments.  It has the qemu command line, but not the
libvirt XML.

I'm afraid this is the best I can do unless the error
starts happening again.
Comment 5 Daniel Berrange 2010-09-20 06:11:47 EDT
I tend to agree with Jan, that this is almost certainly from changing the disk target, but not removing the IDE address element at the same time.
Comment 6 Gary Lucas 2011-05-14 13:38:22 EDT
I had a similiar problem, slightly different error message... slot 3 function 0 not available for rtl8139, in use by virtio-blk-pci

I deleted the <address> line as indicated above, VM fails to start... service libvirtd restart and then it worked fine.
Comment 7 Bug Zapper 2011-05-31 09:06:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dave Botsch 2011-06-16 10:17:31 EDT
Hi. I was able to reproduce this bug exactly in Redhat Enterprise 6.1 with all the latest updates applied as of the date of this comment.
Comment 9 Dave Botsch 2011-06-16 10:18:19 EDT
See the following mail list posting:

https://www.redhat.com/archives/virt-tools-list/2011-May/msg00057.html
Comment 10 Amit Shah 2011-06-18 00:27:10 EDT
(In reply to comment #8)
> Hi. I was able to reproduce this bug exactly in Redhat Enterprise 6.1 with all
> the latest updates applied as of the date of this comment.

Please open a bug (or clone this one) against the RHEL component.
Comment 11 Bug Zapper 2011-06-28 08:37:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.